From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/immutables/
Date: Thu, 10 Oct 2024 05:03:31 +0000 (UTC) [thread overview]
Message-ID: <1728536594.284e1aa3e6f8ecf3b9e55c0c2abd010b7d6103c4.mgorny@gentoo> (raw)
commit: 284e1aa3e6f8ecf3b9e55c0c2abd010b7d6103c4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 10 04:14:03 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 05:03:14 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=284e1aa3
dev-python/immutables: Bump to 0.21
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/immutables/Manifest | 1 +
dev-python/immutables/immutables-0.21.ebuild | 50 ++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/immutables/Manifest b/dev-python/immutables/Manifest
index aba8fbe43b0a..3bf6c91a9d18 100644
--- a/dev-python/immutables/Manifest
+++ b/dev-python/immutables/Manifest
@@ -1 +1,2 @@
DIST immutables-0.20.gh.tar.gz 88169 BLAKE2B fb76793d8d908ea35999a9d3d36cdb6cc2021fda07d0822b23bf1eb7fe02031ac26a7aa3e83e890af24b949eedf6d81089a3670e96f9873a60339d0da44d2484 SHA512 b20a661e4a9161a2fe3db674aac8e84a36dd3e56083e6f6d6b1261a00d38adc136c0a2dce67243a5a4cd5b0568aa48a9d4c758fb27cf74e055f378a501c0f725
+DIST immutables-0.21.gh.tar.gz 88188 BLAKE2B be5f5e247f16549b1ccf2fa4a95b81818795d04a0ed934509dc3dcac985be4779ea3c2634cd9e8b57321d58ebf63ce828df08f39f19819e6b537ea3195ae87e3 SHA512 ffd754cd5f13f0d961ec05b1c19df4f9a25c0804a402d0dee91e163531eb9f30b50d8abb1252df775cb83922c69b02baa51bef5d6aa17d80fca57442b93d5e94
diff --git a/dev-python/immutables/immutables-0.21.ebuild b/dev-python/immutables/immutables-0.21.ebuild
new file mode 100644
index 000000000000..96ef2ba49db3
--- /dev/null
+++ b/dev-python/immutables/immutables-0.21.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high-performance immutable mapping type for Python"
+HOMEPAGE="
+ https://github.com/MagicStack/immutables/
+ https://pypi.org/project/immutables/
+"
+SRC_URI="
+ https://github.com/MagicStack/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/mypy/d' tests/conftest.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ # upstream controls NDEBUG explicitly
+ use debug && local -x DEBUG_IMMUTABLES=1
+ local -x IMMUTABLES_EXT=$(usex native-extensions 1 0)
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_mypy.py
+ )
+
+ rm -rf immutables || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
next reply other threads:[~2024-10-10 5:03 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-10 5:03 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-24 0:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/immutables/ Sam James
2025-02-16 18:44 Michał Górny
2024-10-30 18:51 Sam James
2024-10-26 18:39 Arthur Zamarin
2024-10-26 15:16 Arthur Zamarin
2024-10-26 14:47 Arthur Zamarin
2024-10-26 14:47 Arthur Zamarin
2024-10-26 12:48 Arthur Zamarin
2024-10-26 12:48 Arthur Zamarin
2024-05-13 14:03 Michał Górny
2023-11-23 17:12 Sam James
2023-10-02 4:22 Michał Górny
2023-10-01 18:11 Arthur Zamarin
2023-09-17 5:47 Sam James
2023-09-16 22:58 Sam James
2023-08-15 2:39 Michał Górny
2023-05-29 15:03 Michał Górny
2023-05-04 16:17 Michał Górny
2022-10-25 12:12 Michał Górny
2022-10-25 10:44 Sam James
2022-10-25 9:49 Sam James
2022-10-22 16:52 Arthur Zamarin
2022-10-22 16:44 Arthur Zamarin
2022-10-22 16:22 Arthur Zamarin
2022-10-22 16:19 Arthur Zamarin
2022-10-22 15:57 Arthur Zamarin
2022-10-22 15:52 Arthur Zamarin
2022-09-15 19:56 Arthur Zamarin
2022-06-24 10:21 Michał Górny
2022-06-24 6:53 Arthur Zamarin
2022-06-23 8:35 Agostino Sarubbo
2022-06-23 6:45 Agostino Sarubbo
2022-06-23 6:43 Agostino Sarubbo
2022-06-23 5:59 Agostino Sarubbo
2022-06-22 18:37 Sam James
2022-06-22 18:24 Arthur Zamarin
2022-06-22 18:16 Arthur Zamarin
2022-05-23 6:34 Michał Górny
2022-05-19 21:42 Michał Górny
2022-05-18 18:31 Sam James
2022-05-17 9:24 Agostino Sarubbo
2022-05-16 21:50 Sam James
2022-05-15 10:15 Jakov Smolić
2022-05-15 9:16 Jakov Smolić
2022-05-15 8:52 Jakov Smolić
2022-05-15 8:38 Jakov Smolić
2022-05-15 8:31 Jakov Smolić
2022-05-13 16:11 Michał Górny
2022-05-06 13:22 Michał Górny
2022-04-25 19:00 Sam James
2022-04-06 19:48 Michał Górny
2022-03-26 10:37 Michał Górny
2021-11-19 6:41 Sam James
2021-11-18 9:09 Sam James
2021-09-18 12:28 Agostino Sarubbo
2021-09-05 16:33 Sam James
2021-09-04 21:39 Sam James
2021-08-31 17:39 Sam James
2021-08-30 7:26 Agostino Sarubbo
2021-08-30 1:27 Sam James
2021-08-29 17:57 Sam James
2021-08-24 23:21 Sam James
2021-08-17 17:15 Marek Szuba
2021-08-08 6:33 Michał Górny
2021-07-14 16:08 Sergei Trofimovich
2021-07-12 21:59 Sam James
2021-07-10 17:46 Michał Górny
2021-06-05 14:17 Michał Górny
2021-04-12 13:20 Michał Górny
2021-04-12 13:20 Michał Górny
2021-04-12 13:20 Michał Górny
2021-03-15 13:43 Sam James
2021-03-15 0:07 Sam James
2021-02-10 5:07 Sam James
2020-11-21 21:51 Michał Górny
2020-11-18 10:45 Sam James
2020-11-14 19:00 Sam James
2020-10-19 20:13 Sam James
2020-09-18 23:58 Sam James
2020-09-13 8:59 Sam James
2020-06-19 20:56 Michał Górny
2020-06-19 20:56 Michał Górny
2020-06-04 6:35 Agostino Sarubbo
2020-06-04 6:23 Agostino Sarubbo
2020-05-04 6:16 Mart Raudsepp
2020-04-20 15:49 Michał Górny
2020-01-01 3:22 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1728536594.284e1aa3e6f8ecf3b9e55c0c2abd010b7d6103c4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox